# Listing payment links

<mark style="color:green;">`GET`</mark> `/api/public/v1/payment_links`

Returns a paginated list of payment links, ordered by creation time by default.

**Headers**

| Name          | Value                      |
| ------------- | -------------------------- |
| Content-Type  | `application/vnd.api+json` |
| Authorization | `Bearer <api_key>`         |

**URL Parameters**

<table><thead><tr><th width="163">Name</th><th width="120">Type</th><th>Description</th></tr></thead><tbody><tr><td>order</td><td>string</td><td>Field to sort by. Supported value: <code>created_at</code>.</td></tr><tr><td>order_type</td><td>string</td><td>Sort direction. <code>asc</code> or <code>desc</code>.</td></tr><tr><td>page</td><td>number</td><td>Page number to return.</td></tr><tr><td>per_page</td><td>number</td><td>Number of results per page.</td></tr><tr><td>reference</td><td>string</td><td>Filter by payment link <code>reference</code>.</td></tr><tr><td>created_at_from</td><td>string</td><td>Return payment links created at or after this ISO 8601 timestamp, e.g. <code>2024-06-18T15:49:02.031Z</code>.</td></tr><tr><td>created_at_to</td><td>string</td><td>Return payment links created at or before this ISO 8601 timestamp, e.g. <code>2024-06-18T15:49:02.031Z</code>.</td></tr></tbody></table>

**Response Body**

<table><thead><tr><th>Name</th><th width="97">Type</th><th>Description</th></tr></thead><tbody><tr><td>data[].id</td><td>string</td><td>Payment link ID.</td></tr><tr><td>data[].type</td><td>string</td><td>Always <code>paymentLinks</code>.</td></tr><tr><td>data[].attributes.amount</td><td>string</td><td>Payment amount displayed to the end user.</td></tr><tr><td>data[].attributes.currency</td><td>string</td><td>Currency of the payment amount.</td></tr><tr><td>data[].attributes.accountCurrency</td><td>string</td><td>Merchant account currency used for settlement or funding.</td></tr><tr><td>data[].attributes.network</td><td>string</td><td>Network code selected by the end user. <code>null</code> until a selection is made.</td></tr><tr><td>data[].attributes.networkName</td><td>string</td><td>Human-readable network name. <code>null</code> until the end user selects a network.</td></tr><tr><td>data[].attributes.reference</td><td>string</td><td>Your internal correlation key, as set at creation.</td></tr><tr><td>data[].attributes.hostedPageUrl</td><td>string</td><td>URL of the Txn-hosted page to redirect your end user to.</td></tr><tr><td>data[].attributes.status</td><td>string</td><td>Payment link status. See <a href="/pages/2XgPefwnfLqZ7rf7y1ai">Payment Links Concept</a>.</td></tr><tr><td>data[].attributes.approvalStatus</td><td>string</td><td>Approval workflow status for payout payment links subject to an approval rule. <code>null</code> otherwise.</td></tr><tr><td>data[].attributes.expiresAt</td><td>string</td><td>ISO 8601 timestamp of when the payment link expires.</td></tr><tr><td>data[].attributes.createdAt</td><td>string</td><td>ISO 8601 timestamp of when the payment link was created.</td></tr><tr><td>data[].attributes.paymentType</td><td>string</td><td><code>Invoice</code> or <code>Payout</code>.</td></tr><tr><td>data[].attributes.paymentMethods[]</td><td>array</td><td>Payment methods available on the hosted page.</td></tr><tr><td>data[].attributes.successRedirectUrl</td><td>string</td><td>Success redirect URL. <code>null</code> if not set.</td></tr><tr><td>data[].attributes.unsuccessRedirectUrl</td><td>string</td><td>Unsuccessful redirect URL. <code>null</code> if not set.</td></tr><tr><td>data[].relationships.target.data</td><td>object</td><td>ID and type of the child invoice or payout. <code>null</code> until the end user selects a cryptocurrency on the hosted page.</td></tr><tr><td>meta.page</td><td>number</td><td>Current page number.</td></tr><tr><td>meta.per_page</td><td>number</td><td>Number of results per page.</td></tr><tr><td>meta.total</td><td>number</td><td>Total number of payment links matching the query.</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="HTTP 200" %}

```json
{
  "data": [
    {
      "id": "46df1a5c-a478-427f-a988-a2dacb235d6b",
      "type": "paymentLinks",
      "attributes": {
        "amount": "100.00",
        "currency": "EUR",
        "accountCurrency": "EUR",
        "network": null,
        "networkName": null,
        "reference": "8c40d8b6-ccdf-4861-a6d6-6c3125ce3f31",
        "hostedPageUrl": "https://sandbox.txn.io/redirect?payment_link_id=46df1a5c-a478-427f-a988-a2dacb235d6b&request_type=payment_link_hosted_page&zone=eu",
        "status": "created",
        "approvalStatus": null,
        "expiresAt": "2026-06-01T23:00:00.000Z",
        "createdAt": "2026-05-17T10:07:24.199Z",
        "paymentType": "Invoice",
        "successRedirectUrl": "https://example.com/success",
        "unsuccessRedirectUrl": "https://example.com/fail",
        "paymentMethods": [
          "on_chain"
        ]
      },
      "relationships": {
        "target": {
          "data": null
        }
      }
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 1,
    "total": 264
  },
  "jsonapi": {
    "version": "1.0"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.txn.io/payment-links/listing-payment-links.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
